/* snort <= 2.4.2 Back Orifice Packet Direction Buffer Overflow Vulnerability
 *
 *      Ref: http://www.osvdb.org/displayvuln.php?osvdb_id=20034
 *
 *      Vers: PIE 0.6
 *      Auth: Ben Hawkes
 *      Date: 10/11/05
 */


#include <stdio.h>
#include <libpie.h>

int main(void) {
	if (pie_begin("snort", "BoGetDirection", 2, PIE_NO_OPT) == -1) {
		perror("pie_begin");
		exit(1);
	}

	if (pie_force_return(0) == -1) {
		perror("pie_force_return");
		exit(1);
	}
	
	if (pie_end(NULL, 0) == -1) {
		perror("pie_end");
		exit(1);
	}
}
